Name:		igraph
Version:	0.5.4
Release:	2%{?dist}
Summary:	Library for creating and manipulating graphs

Group:		System Environment/Libraries
License:	GPLv2+
URL:		http://cneurocvs.rmki.kfki.hu/igraph
Source0:	http://igraph.googlecode.com/files/%{name}-%{version}.tar.gz
#Patch1:		igraph-cstdlib.patch
#Patch2:		igraph-test.patch
# Needed for gcc-4.4
#Patch3:		igraph-cstdio.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	libxml2-devel, gmp-devel
Requires(post): /sbin/install-info
Requires(postun): /sbin/install-info
Provides: 	%{name}-%{version}

%description
igraph wants to be an efficient platform for 
1) complex network analysis and 
2) developing and implementing graph algorithms. 
It provides flexible and efficient data structures for graphs and related
tasks. It also provides implementation to many classic and new graph
algorithms like: maximum flows, graph isomorphism, scale-free
networks, community structure finding, etc.

%package devel
Requires: %{name} = %{version}-%{release}, pkgconfig
Group: Development/Libraries
Summary: Development files for igraph
#Provides: %{name}-devel-%{version}

%description devel
The %{name}-devel package contains the header files and some
documentation needed to develop application with %{name}.

%prep
%setup -q
#%patch1 -p1
#%patch2 -p1
#%patch3 -p1

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_infodir}
cp doc/igraph.info $RPM_BUILD_ROOT/%{_infodir}
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man3
cp doc/igraph.3 $RPM_BUILD_ROOT/%{_mandir}/man3
rm $RPM_BUILD_ROOT/%{_libdir}/*.a
rm $RPM_BUILD_ROOT/%{_libdir}/*.la
find . -name '.arch-ids' | xargs rm -rf

%clean
rm -rf $RPM_BUILD_ROOT

%preun devel
if [ $1 = 0 ]; then
  /sbin/install-info --delete %{_infodir}/igraph.info %{_infodir}/dir || :
fi

%post -p /sbin/ldconfig

%post devel
/sbin/install-info %{_infodir}/igraph.info %{_infodir}/dir || :

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%{_libdir}/libigraph.so.*


%doc COPYING AUTHORS NEWS README

%files devel
%defattr(-,root,root,-)
%{_includedir}/igraph
%{_libdir}/libigraph.so
%{_libdir}/pkgconfig/igraph.pc
%{_mandir}/man3/igraph.3*
%{_infodir}/igraph.info*
%doc examples

%check
make check

%changelog
* Wed Sep 29 2010 jkeating - 0.5.4-2
- Rebuilt for gcc bug 634757

* Thu Sep 16 2010 Neal Becker <ndbecker2@gmail.com> - 0.5.4-1
- Update to 0.5.4

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun May  3 2009 Neal Becker <ndbecker2@gmail.com> - 0.5.2-4
- Try removing Provides

* Sat May  2 2009 Neal Becker <ndbecker2@gmail.com> - 0.5.2-3
- Put back Provides for devel

* Tue Apr 28 2009 Neal Becker <ndbecker2@gmail.com> - 0.5.2-2
- Try enable gmp, graphml

* Mon Apr 27 2009 Neal Becker <ndbecker2@gmail.com> - 0.5.2-1
- Update to 0.5.2
- Try not applying patch #3

* Thu Feb 26 2009 Neal Becker <ndbecker2@gmail.com> - 0.5.1-6
- Make that 0.5.1-6

* Thu Feb 26 2009 Neal Becker <ndbecker2@gmail.com> - 0.5.1-5
- Patch3 for gcc-4.4 (cstdio)

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Dec 22 2008 Neal Becker <ndbecker2@gmail.com> - 0.5.1-4
- Bump tag

* Sun Nov 16 2008 Neal Becker <ndbecker2@gmail.com> - 0.5.1-2
- Remove igraph-cstdlib.patch
- Remove igraph-test.patch

* Sun Nov 16 2008 Neal Becker <ndbecker2@gmail.com> - 0.5.1-1
- Update to 0.5.1

* Thu Sep 18 2008 Neal Becker <ndbecker2@gmail.com> - 0.5-14
- Add BR libxml2-devel to get graphml support.

* Tue Feb 26 2008 Neal Becker <ndbecker2@gmail.com> - 0.5-13
- More test fixes

* Tue Feb 26 2008 Neal Becker <ndbecker2@gmail.com> - 0.5-12
- Fix to ignore 1 bad test

* Tue Feb 26 2008 Neal Becker <ndbecker2@gmail.com> - 0.5-11
- Add patch for tests for gcc-4.3

* Mon Feb 25 2008 Neal Becker <ndbecker2@gmail.com> - 0.5-10
- Run check

* Sun Feb 17 2008 Neal Becker <ndbecker2@gmail.com> - 0.5-9
- Don't need provides

* Sun Feb 17 2008 Neal Becker <ndbecker2@gmail.com> - 0.5-8
- Add provides to main package

* Sun Feb 17 2008 Neal Becker <ndbecker2@gmail.com> - 0.5-7
- Add provides to devel package

* Sat Feb 16 2008 Neal Becker <ndbecker2@gmail.com> - 0.5-6
- fix patch

* Sat Feb 16 2008 Neal Becker <ndbecker2@gmail.com> - 0.5-5
- More patches

* Sat Feb 16 2008 Neal Becker <ndbecker2@gmail.com> - 0.5-4
- Try again to fix patch

* Sat Feb 16 2008 Neal Becker <ndbecker2@gmail.com> - 0.5-3
- fix patch

* Sat Feb 16 2008 Neal Becker <ndbecker2@gmail.com> - 0.5-2
- Still need patch1

* Fri Feb 15 2008 Neal Becker <ndbecker2@gmail.com> - 0.5-1
- update to 0.5

* Wed Feb 13 2008 Neal Becker <ndbecker2@gmail.com> - 0.4.5-7
- Try again with that patch

* Wed Feb 13 2008 Neal Becker <ndbecker2@gmail.com> - 0.4.5-6
- Updated igraph-cstdlib.patch

* Wed Feb 13 2008 Neal Becker <ndbecker2@gmail.com> - 0.4.5-5
- Add cstdlib patch for std::exit

* Wed Jan 30 2008 Neal Becker <ndbecker2@gmail.com> - 0.4.5-4
- Install examples instead of examples/simple

* Tue Jan 29 2008 Neal Becker <ndbecker2@gmail.com> - 0.4.5-3
- Include examples/simple in devel doc
- Fix devel description

* Tue Jan 29 2008 Neal Becker <ndbecker2@gmail.com> - 0.4.5-2
- Updates per panemade@gmail.com

* Wed Jan 23 2008 Neal Becker <ndbecker2@gmail.com> - 0.4.5-1
- Initial package

